Bug 429714 - Add oui.txt to hwdata
Add oui.txt to hwdata
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hwdata (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 428803
  Show dependency treegraph
 
Reported: 2008-01-22 12:02 EST by Bastien Nocera
Modified: 2008-01-24 16:48 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.215-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-24 16:48:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-01-22 12:02:41 EST
+++ This bug was initially created as a clone of Bug #428803 +++

Description of problem:

Source Context:  unconfined_u:system_r:bluetooth_t:s0
Target Context:  system_u:object_r:system_crond_var_lib_t:s0
Target Objects:  None [ dir ]
Affected RPM Packages:  
Policy RPM:  selinux-policy-3.0.8-73.fc8
Selinux Enabled:  
TruePolicy Type:  targetedMLS 
Enabled:  
TrueEnforcing Mode:  PermissivePlugin 
Name:  plugins.catchall_fileHost 
Name:  wasa.netnix.ee
Platform:  Linux xxxxxx 2.6.23.8-63.fc8 #1 SMP Wed Nov 21 17:56:40 EST 2007 
x86_64 x86_64
Alert Count:  2
First Seen:  Tue 15 Jan 2008 01:03:13 PM EET
Last Seen:  Tue 15 Jan 2008 01:42:13 PM EET
Local ID:  e9d3278b-3d28-4b4c-bec0-85dc1458107d
Line Numbers:  

Raw Audit Messages 

:avc: denied { search } for comm=hcid dev=sda3 name=misc pid=12058 
scontext=unconfined_u:system_r:bluetooth_t:s0 tclass=dir 
tcontext=system_u:object_r:system_crond_var_lib_t:s0 


Additional info:

I'm running KDE and moving files with konqueror bluetooth:/ sdp plugin

-- Additional comment from dwalsh@redhat.com on 2008-01-15 10:02 EST --
Why is hcid searching /var/lib/misc directory?

---8<---

hcid uses /var/lib/misc/oui.txt to find the maker of Bluetooth devices.

The upstream is at:
http://standards.ieee.org/regauth/oui/oui.txt
Comment 1 Karsten Hopp 2008-01-22 18:36:38 EST
Can we move that file to /usr/share/hwdata ? That's where hwdata keeps its files.
Comment 2 Bastien Nocera 2008-01-22 18:59:43 EST
Fine by me, we can change the location in the bluez-utils package.
Comment 3 Fedora Update System 2008-01-24 16:48:00 EST
hwdata-0.215-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.